Bug 808197 - FTBFS: big endian bug in self checks
FTBFS: big endian bug in self checks
Status: CLOSED DUPLICATE of bug 1238168
Product: Fedora
Classification: Fedora
Component: perl-Socket-Netlink (Show other bugs)
19
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 15:31 EDT by Karsten Hopp
Modified: 2016-11-09 08:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-20 04:41:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 71112 None None None Never

  None (edit)
Description Karsten Hopp 2012-03-29 15:31:32 EDT
Description of problem:
perl-Socket-Netlink fails to build on PPC as two of the self checks fail, one of them looks like a big endian bug as the result has a swapped bit:

t/12netlink-message-header.t ..... ok
#   Failed test '$message->attrs after unpack'
#   at t/13netlink-message-attrs.t line 98.
#     Structures begin differing at:
#          $got->{str} = ''
#     $expected->{str} = 'FGH'
# Looks like you failed 1 test of 14.
t/13netlink-message-attrs.t ...... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/14 subtests 
t/14netlink-message-error.t ...... ok
#   Failed test '$message->pack'
#   at t/20io-socket-netlink-generic.t line 55.
#   at bytes 0-0xf (0-15)
#   got: | 00 00 00 14 00 1e 00 00 00 00 00 00 00 00 00 00 |................|
#   exp: | 00 00 00 14 00 00 00 1e 00 00 00 00 00 00 00 00 |................|
# Looks like you failed 1 test of 13.


Version-Release number of selected component (if applicable):
perl-Socket-Netlink-0.03-4.fc17

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f17 perl-Socket-Netlink-0.03-4.fc17.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=469988
Comment 1 Mathieu Bridon 2012-03-29 22:03:42 EDT
I've found out about this bug when I tried to build the package for EPEL 6.

Submitted it upstream:
https://rt.cpan.org/Public/Bug/Display.html?id=71112

Unfortunately, that's not something I can fix myself. If you have experience with endianness bugs, any help is more than welcome.
Comment 2 Petr Pisar 2012-03-30 04:51:10 EDT
The t/20io-socket-netlink-generic.t:55 test checks serialization of

my $message = $genlsock->new_message(
   nlmsg_type => 30,
   cmd => 1,
   version => 2
);

netlink(7) defines netlink header as:

struct nlmsghdr {
  __u32 nlmsg_len;    /* Length of message including header. */
  __u16 nlmsg_type;   /* Type of message content. */
  __u16 nlmsg_flags;  /* Additional flags. */
  __u32 nlmsg_seq;    /* Sequence number. */
  __u32 nlmsg_pid;    /* PID of the sending process. */
};

So I think the expected

00 00 00 14 00 00 00 1e 00 00 00 00 00 00 00 00

is wrong since the type (30 = 0x1e) should occupy two bytes only. Here it spans to nlmsg_flags field.
Comment 3 Phil Knirsch 2013-02-06 12:34:25 EST
Still happens on latest Fedora 18 and trying to rebuild perl-Socket-Netlink-0.03-6, moving to rawhide.

Thanks & regards, Phil
Comment 4 Fedora End Of Life 2013-04-03 14:12:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Admin XMLRPC Client 2014-08-28 10:06:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Emmanuel Seyman 2014-11-20 04:41:35 EST
Given that this issue is an upstream bug more than it is a packaging issue, I'll be keeping track of it in CPAN's RT. Accordingly, I'm closing this bug with the resolution of UPSTREAM.
Comment 7 Petr Pisar 2016-11-09 08:32:19 EST

*** This bug has been marked as a duplicate of bug 1238168 ***

Note You need to log in before you can comment on or make changes to this bug.